
QGIS Application - Bug report #7185

Ftools - Check geometry Validity

2013-02-19 11:39 PM - Florian Boret

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:1.8.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16234

Description

Une erreur est apparue lors de l'exécution du code python :

Hello,

When I close the tool "geometry Validity Check" I get this error :

Traceback (most recent call last):

  File "C:\\PROGRA~2\\Quantum GIS Lisboa\\apps\\qgis\\python\\plugins\\fTools\\tools\\doValidate.py", line 102, in closeEvent

    QMainWindow.closeEvent(self, e)

TypeError: QMainWindow.closeEvent(QCloseEvent): first argument of unbound method must have type 'QMainWindow'

Version de Python :

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

Version de QGIS :

1.8.0-Lisboa Lisboa, 6416f38

History

#1 - 2013-02-20 05:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

Can you test qgis master? it works fine here.

#2 - 2013-03-21 02:46 AM - Luca Lanteri

I can confirm error on 1.8. On 1.9 it's work fine.

#3 - 2013-07-13 03:07 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

works fine in master.

#4 - 2017-05-01 01:22 AM - Giovanni Manghi
The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

test.zip 1.47 KB 2013-02-19 Florian Boret
